@import url("https://fonts.googleapis.com/css?family=Roboto");

html, body {
	margin: 0;
	padding: 0;
	height: 100%;
}

:focus { outline: none }
::-moz-focus-inner { border: 0 }

html, input {
	font-family: 'Roboto', sans-serif;
	font-size: 6vw;
	line-height: 1.6em;
}

@media (min-width: 500px) {
	html, input {
		font-size: 30px;
	}
}

@keyframes movebg {
	from {
		background-position: 0% 0%;
	}
	to {
		background-position: 100% 1000%;
	}
}

html {
	text-rendering: optimizeLegibility;
	font-variant-ligatures: common-ligatures;
	font-kerning: normal;
	background-color: #1a1a1a;
	background-image: url('https://home.gottz.de/broken_noise.png');
	animation: movebg 100s linear infinite;
}

html:before {
	content: "";
	position: fixed;
	z-index: -2;
	top: 44%;
	left: 44%;
	width: 12%;
	height: 12%;
	transform: scale(10);
	background-image: radial-gradient(circle at center, rgba(255,255,255,0.1) 0%, rgba(0,0,0,0.3) 100%);
}

body {
	margin: auto;
	color: #c4c4c4;
	will-change: transform;
	display: flex;
	justify-content: center;
	align-items: center;
}

form {
	margin: 0;
	background: rgba(255,255,255,0.06);
	background: linear-gradient(0deg, rgba(63,63,63,0.10) 0%, rgba(255,255,255,0.10) 100%);
	border-radius: 0.6em;
	padding: 0.7em;
	display: block;
	box-shadow:
		0 0 0.07em rgba(255,255,255,0.1),
		0 0.2em 0.2em -0.15em rgba(0,0,0,0.5),
		0 0.25em 0.75em -0.05em rgba(0,0,0,0.5),
		inset 0 0 0.7em rgba(0,0,0,0.3),
		inset 0 0.05em 0.1em rgba(255,255,255,0.15);
	position: relative;
	box-sizing: border-box;
	will-change: transform;
}

input:not([type=submit]):not([type=button]) {
	background-color: rgba(0, 0, 0, 0.1);
	color: #eee;
	text-shadow: 0 0.05em rgba(0, 0, 0, 0.5);
	border: none;
	padding: 0.4em;
	box-sizing: border-box;
	border-radius: 0.3em;
	margin-bottom: 0.4em;
	box-shadow: 0 0 0.1em rgba(255,255,255,0.1), inset 0 0.05em 0.3em rgba(0, 0, 0, 0.8);
}
input:not([type=submit]):not([type=button]):focus {
	box-shadow: 0 0 0.1em rgba(255,255,255,0.3), inset 0 0.05em 0.3em rgba(0, 0, 0, 0.8);
}

input[type=submit], input[type=button] {
	cursor: pointer;
	background-color: rgba(255, 255, 255, 0.1);
	color: #000;
	text-shadow: 0.02em 0.02em 0.03em rgba(255,255,255,0.2);
	border-radius: 0.3em;
	box-sizing: border-box;
	padding: 0.4em 1em;
	border: 0.1em solid rgba(0,0,0,0.6);
	box-shadow: 0 0 0.07em rgba(255,255,255,0.1), 0 0.2em 0.2em -0.15em rgba(0,0,0,0.5), inset 0 0 0.7em rgba(0,0,0,0.2), inset 0 0.1em 0.1em rgba(255,255,255,0.15);
	transition-property: background-color, color, box-shadow, text-shadow;
	transition-duration: 0.2s;
	transition-timing-function: cubic-bezier(0, 0.58, 0.58, 1);
}

input[type=submit]:hover, input[type=button]:hover {
	background-color: rgba(255, 255, 255, 0.2);
	box-shadow: 0 0 0.07em rgba(255,255,255,0.1), 0 0.2em 0.2em -0.15em rgba(0,0,0,0.5), inset 0 0 0.7em rgba(0,0,0,0.4),inset 0 0.1em 0.1em rgba(255,255,255,0.1);
	color: #333;
}

input[type=submit]:focus, input[type=button]:focus {
	background-color: rgba(255, 255, 255, 0.2);
	box-shadow: 0 0 0.07em rgba(255,255,255,0.3), 0 0.2em 0.2em -0.15em rgba(0,0,0,0.5), inset 0 0 0.7em rgba(0,0,0,0.4),inset 0 0.1em 0.1em rgba(255,255,255,0.1);
	color: #333;
}

input[type=submit]:active, input[type=button]:active {
	background-color: rgba(0,0,0,0.05);
	box-shadow: 0 0 0.07em rgba(255,255,255,0.1), inset 0 0 0.7em rgba(0,0,0,0.5),inset 0 0.1em 0.1em rgba(0,0,0,0.2);
	text-shadow: 0.02em 0.02em 0.03em rgba(0,0,0,0.8);
	color: #bbb;
}
